import os
import sys
import fileinput
from collections import OrderedDict
# import the cython module
import plast_parser_c


########### FUNCTIONS ############


########### MAIN ############
def main():
    #NOTE: fileinput does not work well with argparse
    debug = False
    #Get the parameters
    args = sys.argv
    #print(args)
    #print(len(args))
    if len(args) < 3:
        print('\nProvide an input file generated using PLASTP.\nOutputs a file of ortholog and paralogs in each line, that can be processed by InParanoid.\n')
        print('USAGE: python3 parser.py <input_file> <output_file>')
        print('cutoff: cutoff score (sum of hsp bitscores for each hit) for alignments')
        print('EXAMPLE (input file to output file): python3 parser.py input_file.txt output_file.txt')
        print('EXAMPLE (input file to STDOUT): python3 parser.py input_file.txt -')
        print('EXAMPLE (STDIN file to STDOUT): python3 parser.py - -')
        print('EXAMPLE (STDIN to file): python3 parser.py - output_file.txt')
        #print('EXAMPLE (input file): python3 parser.py input_file.txt output_file.txt 40')
        #print('EXAMPLE (STDOUT): cat input_file.txt | python3 parser.py - output_file.txt 40')

    inputPath = args[1]
    if inputPath == '-':
        inputPath = None
    else:
        inputPath = '%s'%os.path.realpath(inputPath)
    outPath = '%s'%os.path.realpath(args[2])
    outName = None
    outDir = None
    #print('\nStart setting paths...')
    if not (outPath[-1] is '-'):
        outName = os.path.basename(outPath)
        outDir = '%s/'%os.path.dirname(outPath)
    else:
        outName = '-'
        outDir = '-'
    #read the file with the cutoff
    ifd = open('%s/cutoff'%os.getcwd())
    cutoff = int(ifd.readline().strip())
    ifd.close()
    #inparanoid_like_parser_plastp(blastOutput=inputPath, outDir=outDir, outName=outName, scoreCoff=cutoff, debug=debug)
    #plast_parser_c.inparanoid_like_parser_plastp(blastOutput=inputPath, outDir=outDir, outName=outName, scoreCoff=cutoff, debug=debug)
    plast_parser_c.inparanoid_like_parser_plastp_stdin(outDir=outDir, outName=outName, scoreCoff=cutoff, debug=debug)


if __name__ == "__main__":
    main()
